Package fr.gouv.vitam.collect.internal.core.common

# Class ProjectModel

java.lang.Object
fr.gouv.vitam.collect.internal.core.common.ProjectModel

public class ProjectModel extends Object
project model

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ProjectModel.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProjectModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getArchivingSystemId()`
  `Integer`
  `getArchivingSystemTenant()`
  `Boolean`
  `getAutomaticIngest()`
  `Boolean`
  `getConnectedToArchivingSystem()`
  `String`
  `getCreationDate()`
  `String`
  `getId()`
  `String`
  `getLastUpdate()`
  `ManifestContext`
  `getManifestContext()`
  `String`
  `getName()`
  `ProjectStatus`
  `getStatus()`
  `Integer`
  `getTenant()`
  `String`
  `getTransformationRules()`
  `String`
  `getUnitUp()`
  `List<MetadataUnitUp>`
  `getUnitUps()`
  `int`
  `hashCode()`
  `void`
  `setArchivingSystemId(String archivingSystemId)`
  `void`
  `setArchivingSystemTenant(Integer archivingSystemTenant)`
  `void`
  `setAutomaticIngest(Boolean automaticIngest)`
  `void`
  `setConnectedToArchivingSystem(Boolean connectedToArchivingSystem)`
  `void`
  `setCreationDate(String creationDate)`
  `void`
  `setId(String id)`
  `void`
  `setLastUpdate(String lastUpdate)`
  `void`
  `setManifestContext(ManifestContext manifestContext)`
  `void`
  `setName(String name)`
  `void`
  `setStatus(ProjectStatus status)`
  `void`
  `setTenant(Integer tenant)`
  `ProjectModel`
  `setTransformationRules(String transformationRules)`
  `void`
  `setUnitUp(String unitUp)`
  `void`
  `setUnitUps(List<MetadataUnitUp> unitUps)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProjectModel

    public ProjectModel()

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getManifestContext

    public ManifestContext getManifestContext()

  - ### setManifestContext

    public void setManifestContext(ManifestContext manifestContext)

  - ### getStatus

    public ProjectStatus getStatus()

  - ### setStatus

    public void setStatus(ProjectStatus status)

  - ### getCreationDate

    public String getCreationDate()

  - ### setCreationDate

    public void setCreationDate(String creationDate)

  - ### getLastUpdate

    public String getLastUpdate()

  - ### setLastUpdate

    public void setLastUpdate(String lastUpdate)

  - ### getUnitUp

    public String getUnitUp()

  - ### setUnitUp

    public void setUnitUp(String unitUp)

  - ### getUnitUps

    public List<MetadataUnitUp> getUnitUps()

  - ### setUnitUps

    public void setUnitUps(List<MetadataUnitUp> unitUps)

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public void setTenant(Integer tenant)

  - ### getAutomaticIngest

    public Boolean getAutomaticIngest()

  - ### setAutomaticIngest

    public void setAutomaticIngest(Boolean automaticIngest)

  - ### getTransformationRules

    public String getTransformationRules()

  - ### getArchivingSystemId

    public String getArchivingSystemId()

  - ### setArchivingSystemId

    public void setArchivingSystemId(String archivingSystemId)

  - ### getConnectedToArchivingSystem

    public Boolean getConnectedToArchivingSystem()

  - ### getArchivingSystemTenant

    public Integer getArchivingSystemTenant()

  - ### setArchivingSystemTenant

    public void setArchivingSystemTenant(Integer archivingSystemTenant)

  - ### setConnectedToArchivingSystem

    public void setConnectedToArchivingSystem(Boolean connectedToArchivingSystem)

  - ### setTransformationRules

    public ProjectModel setTransformationRules(String transformationRules)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`